App\Library\Amazon\Classes\StoneType:
    properties:
        gemType:
            expose: true
            access_type: public_method
            serialized_name: GemType
            accessor:
                getter: getGemType
                setter: setGemType
            type: string
        stoneCut:
            expose: true
            access_type: public_method
            serialized_name: StoneCut
            accessor:
                getter: getStoneCut
                setter: setStoneCut
            type: string
        stoneColor:
            expose: true
            access_type: public_method
            serialized_name: StoneColor
            accessor:
                getter: getStoneColor
                setter: setStoneColor
            type: string
        stoneClarity:
            expose: true
            access_type: public_method
            serialized_name: StoneClarity
            accessor:
                getter: getStoneClarity
                setter: setStoneClarity
            type: string
        stoneShape:
            expose: true
            access_type: public_method
            serialized_name: StoneShape
            accessor:
                getter: getStoneShape
                setter: setStoneShape
            type: string
        stoneCreationMethod:
            expose: true
            access_type: public_method
            serialized_name: StoneCreationMethod
            accessor:
                getter: getStoneCreationMethod
                setter: setStoneCreationMethod
            type: string
        stoneTreatmentMethod:
            expose: true
            access_type: public_method
            serialized_name: StoneTreatmentMethod
            accessor:
                getter: getStoneTreatmentMethod
                setter: setStoneTreatmentMethod
            type: string
        stoneHeight:
            expose: true
            access_type: public_method
            serialized_name: StoneHeight
            accessor:
                getter: getStoneHeight
                setter: setStoneHeight
            type: App\Library\Amazon\Classes\JewelryLengthDimensionType
        stoneLength:
            expose: true
            access_type: public_method
            serialized_name: StoneLength
            accessor:
                getter: getStoneLength
                setter: setStoneLength
            type: App\Library\Amazon\Classes\JewelryLengthDimensionType
        stoneWidth:
            expose: true
            access_type: public_method
            serialized_name: StoneWidth
            accessor:
                getter: getStoneWidth
                setter: setStoneWidth
            type: App\Library\Amazon\Classes\JewelryLengthDimensionType
        stoneWeight:
            expose: true
            access_type: public_method
            serialized_name: StoneWeight
            accessor:
                getter: getStoneWeight
                setter: setStoneWeight
            type: App\Library\Amazon\Classes\JewelryWeightDimensionType
        labCreated:
            expose: true
            access_type: public_method
            serialized_name: LabCreated
            accessor:
                getter: getLabCreated
                setter: setLabCreated
            type: boolean
        inscription:
            expose: true
            access_type: public_method
            serialized_name: Inscription
            accessor:
                getter: getInscription
                setter: setInscription
            type: string
        stoneDepthPercentage:
            expose: true
            access_type: public_method
            serialized_name: StoneDepthPercentage
            accessor:
                getter: getStoneDepthPercentage
                setter: setStoneDepthPercentage
            type: float
        stoneTablePercentage:
            expose: true
            access_type: public_method
            serialized_name: StoneTablePercentage
            accessor:
                getter: getStoneTablePercentage
                setter: setStoneTablePercentage
            type: float
        stoneSymmetry:
            expose: true
            access_type: public_method
            serialized_name: StoneSymmetry
            accessor:
                getter: getStoneSymmetry
                setter: setStoneSymmetry
            type: string
        stonePolish:
            expose: true
            access_type: public_method
            serialized_name: StonePolish
            accessor:
                getter: getStonePolish
                setter: setStonePolish
            type: string
        stoneGirdle:
            expose: true
            access_type: public_method
            serialized_name: StoneGirdle
            accessor:
                getter: getStoneGirdle
                setter: setStoneGirdle
            type: string
        stoneCulet:
            expose: true
            access_type: public_method
            serialized_name: StoneCulet
            accessor:
                getter: getStoneCulet
                setter: setStoneCulet
            type: string
        stoneFluorescence:
            expose: true
            access_type: public_method
            serialized_name: StoneFluorescence
            accessor:
                getter: getStoneFluorescence
                setter: setStoneFluorescence
            type: string
